package com.dsic.gj_erp.service.sy;


import com.baomidou.mybatisplus.extension.service.IService;
import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.sy.DmEmployee;

import java.util.List;

/**
 * @version V1.0.0
 * @Title: DmEmployeeService
 * @Package com.dsic.xzerp.service.sy
 * @Description: 管系制造员工service
 * @author: 张恩铭
 * @date: 2021/4/2 9:04
 */
public interface DmEmployeeService extends IService<DmEmployee> {
    List<DmEmployee> getAll();
    List<DmEmployee> getByCondition(DmEmployee dmEmployee);
    List<DmEmployee> getByConditionDefaultDepartCode(DmEmployee dmEmployee);
    ResultBean<Integer> addEmployee(DmEmployee[] dmEmployees);
    ResultBean<Integer> updateEmployee(DmEmployee[] dmEmployees);
    ResultBean<Integer> delEmployee(DmEmployee[] dmEmployees);
}
