package com.dsic.gj_erp.jszb.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 曲外板
 */
@Getter
@Setter
public class CurvedOuterPlate {
    @ExcelProperty("船名")
    private String shipName;
    @ExcelProperty("段号")
    private String sectionNumber;
    @ExcelProperty("批量")
    private Integer batch;
    @ExcelProperty("零件号")
    private String partNumber;
    @ExcelProperty("材质")
    private String material;
    @ExcelProperty("规格")
    private String specification;
    @ExcelProperty("工序")
    private String process;
    @ExcelProperty("左")
    private Integer left;
    @ExcelProperty("中")
    private Integer center;
    @ExcelProperty("右")
    private Integer right;
    @ExcelProperty("长度")
    private Double length;
    @ExcelProperty("宽度")
    private Double width;
    @ExcelProperty("合计")
    private Integer total;
}
